Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Typedefs
all.hpp File Reference

## Classes
struct | ranges::identity_adaptor< Rng >
struct | ranges::views::all_fn

## Typedefs
template<typename Rng >
using | ranges::views::all_t = decltype(all(std::declval< Rng >()))
template<typename Rng >
using | ranges::cpp20::all_view = ranges::views::all_t< Rng >

## Typedef Documentation

## ◆ all_view

template<typename Rng >

using ranges::cpp20::all_view = typedef ranges::views::all_t<Rng>

Precondition
  requires `viewable_range<Rng>`